import { ElementAttrs, SVGElementTag } from "./types";
declare type Data = {
    [key: string]: any;
};
export default class ElementBuilder {
    private _elem;
    private _data;
    constructor(label: SVGElementTag);
    setData(data: Data): void;
    getData(key: string): any;
    setAttrs(attrs: ElementAttrs): void;
    attr(name: string, val?: any): this | string;
    style(name: any, value: string): this;
    get element(): SVGElement;
    append(...elems: ElementBuilder[]): this;
    empty(): this;
    addListener(name: string, cb: () => void): void;
    static create(label: SVGElementTag, attrs?: ElementAttrs): ElementBuilder;
}
export {};
